#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Name:		perl-Encode
Version:	2.55
Release:	1
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/DANKOGAI/%{pdir}-%{version}.tar.gz
# Source0-md5:	d946e4e21b2f887797a6f6d7ea74fb9b
URL:		http://search.cpan.org/dist/Encode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Encode-compat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Encode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/enc2xs
%attr(755,root,root) %{_bindir}/piconv
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/encoding.pm
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_vendorarch}/Encode
%dir %{perl_vendorarch}/auto/Encode
%dir %{perl_vendorarch}/auto/Encode/*/
%{perl_vendorarch}/auto/Encode/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/*/*.so
%dir %{perl_vendorlib}/Encode
%{_mandir}/man1/enc2xs.1*
%{_mandir}/man1/piconv.1*
%{_mandir}/man3/Encode*.3pm*
%{_mandir}/man3/encoding.3pm*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Encode.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b72dbff
- up to 2.55

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 6ffce9f
- dir %{perl_vendorlib}/Encode added here, all packages using it needs also perl-Encode; rel 2

* Mon Nov 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 22049bb
- up to 2.44

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 6b46b10
- Up to 2.43

* Thu Feb 24 2011 Jakub Bogusz <qboosh@pld-linux.org> d0f82ce
- unified Source URL

* Tue Jan 04 2011 Caleb Maclennan <caleb@alerque.com> 28481fe
- Up to 2.42

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 2939b82
- verbose bin files

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 95f92a6
- Up to 2.40

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> ef3b3f7
- rel 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da68c06
- release 2

* Sun Jun 06 2010 radek <radek@pld-linux.org> a0e0c90
- version 2.39

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 681683d
- fixed changelog

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> a516172
- updated to 2.38

* Fri Sep 11 2009 amateja <amateja@pld-linux.org> 770f3de
- updated to 2.37

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> cff9d89
- updated to 2.33

* Thu Mar 05 2009 radek <radek@pld-linux.org> bd0879d
- version 2.31

* Fri Jan 16 2009 radek <radek@pld-linux.org> a04cf54
- version 2.26

* Mon Dec 08 2008 Elan Ruusamäe <glen@pld-linux.org> c150050
- O: perl-Encode-compat likely belongs to perl-Encode

* Sun Jun 01 2008 Elan Ruusamäe <glen@pld-linux.org> 158d669
- as package in perl.spec rather

* Sun Jun 01 2008 shadzik <shadzik@pld-linux.org> 5e6fe33
- unify with perl.spec
- epoch 1

